crypto-pubkey-0.2.4: Public Key cryptography

Portability | Good
Stability | experimental
Maintainer | Vincent Hanquez <vincent@snarc.org>
Safe Haskell | None

Crypto.PubKey.MaskGenFunction

Description

Synopsis

- type MaskGenAlgorithm = HashFunction -> ByteString -> Int -> ByteString
- mgf1 :: MaskGenAlgorithm

# Documentation

type MaskGenAlgorithm Source

Arguments

= HashFunction | hash function to use
-> ByteString | seed
-> Int | length to generate
-> ByteString |

Represent a mask generation algorithm

mgf1 :: MaskGenAlgorithm Source

Mask generation algorithm MGF1